<h1>WPSSO Schema JSON-LD Markup</h1><h3>Schema / Structured Data / Rich Snippet / SEO Markup</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Schema JSON-LD Markup</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO extension to add Schema JSON-LD / SEO markup for Articles, Events, Local Business, Products, Recipes, Reviews + many more.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.16.5</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.7</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.8.2</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>rich card, article seo, local seo, news seo, image seo, video seo, local business, json, json-ld, ld+json, schema, structured data, seo, rating, rating, review, recipe, event, product, video schema, knowledge graph</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/wpsso-schema-json-ld/assets/icon-256x256.png"></p>

<p><strong><em>Comprehensive</em> and <em>accurate</em> Schema / Rich Card markup for Google:</strong></p>

<p>Including image objects / SEO, video objects / SEO, local business SEO, organization / publisher, person / author and co-authors, complete and very extensive eCommerce product markup, product variations, product ratings, aggregate ratings, reviews, recipe information, event details, collection pages, profile pages, customized property values, and much, much more (see the Quick List of Features bellow for Free / Pro version details).</p>

<p><strong>Customized Schema markup and optimization features for Pinterest:</strong></p>

<p>Pinterest does not (currently) read Google's preferred Schema JSON-LD format &mdash; WPSSO and its WPSSO JSON extension include special provisions to include unique Schema meta tags for Pinterest, along with methods to prevent conflicts between incompatible Pinterest and Facebook Open Graph meta tag values.</p>

<p><strong>Select a different Schema than BlogPosting for your <a href="https://wordpress.org/plugins/amp/">AMP</a> pages.</strong></p>

<p><strong>Provides extensive markup for WooCommerce products and variations (Pro version):</strong></p>

<p>Including product images, custom product variations (weight, size, color, material, etc), product reviews, product ratings, and much more.</p>

<p><strong>Adds comments and threaded replies to Schema CreativeWork:</strong></p>

<p>Includes comments, reviews, and their replies to the Schema CreativeWork markup and its sub-types (Article, BlogPosting, Recipe, Review, WebPage, etc.) for even better Google SEO ranking. ;-)</p>

<p><strong>WPSSO JSON is <em>super fast</em> and coded for performance:</strong></p>

<p>WPSSO and its extensions make full use of all available caching techniques (persistent / non-persistent object and disk caching), and load only the PHP library files and object classes they need, keeping their code small, fast, and light.</p>

<p>WPSSO and its extensions are fully tested and compatible with PHP v7.x (PHP v5.3 or better required).</p>

<h3>WPSSO (Core Plugin) Prerequisite</h3>

<p>WPSSO Schema JSON-LD Markup is an extension for the WPSSO (Core Plugin) &mdash; which creates complete &amp; accurate meta tags and Schema markup from your content for social sharing, social media / SMO, search / SEO / rich cards, and more.</p>

<p>The WPSSO JSON Free extension works with either the Free or Pro version of WPSSO (Core Plugin).</p>

<p>The <a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/?utm_source=wpssojson-readme-prereq">WPSSO JSON Pro extension</a> uses many WPSSO Pro (Core Plugin) features and requires the <a href="https://wpsso.com/extend/plugins/wpsso/?utm_source=wpssojson-readme-prereq">WPSSO Pro (Core Plugin)</a>.</p>

<h3>Quick List of Features</h3>

<h4>WPSSO JSON Free / Standard Features</h4>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Extends the features of WPSSO Free or Pro.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Includes support for Automattic's <a href="https://wordpress.org/plugins/amp/">Accelerated Mobile Pages (AMP)</a> plugin.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Includes contributor markup for <a href="https://wordpress.org/plugins/co-authors-plus/">Co-Authors Plus</a> authors and guest authors (requires <a href="https://wpsso.com/">WPSSO Pro</a> to retrieve co-author information).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Adds an additional "Schema Markup" settings page to the SSO menu:</p>

<ul>
<li>Website Alternate Name</li>
<li>Organization Logo URL</li>
<li>Organization Banner URL</li>
<li>Maximum Images to Include</li>
<li>Schema Image Dimensions</li>
<li>Maximum Description Length</li>
<li>Author / Person Name Format</li>
<li>Item Type for Blog Front Page</li>
<li>Item Type for Static Front Page</li>
<li>Item Type for Archive Page</li>
<li>Item Type for User / Author Page</li>
<li>Item Type for Search Results Page</li>
<li>Item Type by Post Type (for Posts, Pages, Media, and custom post types).</li>
<li>Default Reviewed Item Type</li>
</ul>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Adds Schema / Structured Data / SEO JSON-LD markup for:</p>

<ul>
<li>Schema Type <a href="https://schema.org/BlogPosting">schema.org/BlogPosting</a></li>
<li>Schema Type <a href="https://schema.org/WebPage">schema.org/WebPage</a></li>
</ul>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Provides complete image SEO in webpage Schema JSON-LD markup.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Download the Free version from <a href="https://surniaulula.github.io/wpsso-schema-json-ld/">GitHub</a> or <a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WordPress.org</a>.</p>

<p><img class="readme-example" src="https://surniaulula.github.io/wpsso-schema-json-ld/images/social/wpsso-json-pinterest-recipe-pin-zoomed.png"></p>

<h3>Quick List of Features (Continued)</h3>

<h4>WPSSO JSON Pro / Additional Features</h4>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Extends the features of WPSSO Pro (requires a licensed WPSSO Pro plugin).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Provides complete image and video SEO in webpage Schema JSON-LD markup.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; WPSSO Pro integrates with many 3rd party plugins and services for additional image, video, e-commerce product details, SEO settings, etc. The following modules are included with the Pro version of WPSSO, and are automatically loaded if/when the supported plugins and/or services are required.</p>

<ul>
<li><strong>WPSSO Pro Integrated 3rd Party Plugins</strong>

<ul>
<li>All in One SEO Pack</li>
<li>bbPress</li>
<li>BuddyPress (including Group Forum Topics)</li>
<li>Co-Authors Plus (including Guest Authors)</li>
<li>Easy Digital Downloads</li>
<li>Gravity Forms + GravityView</li>
<li>HeadSpace2 SEO</li>
<li>MarketPress - WordPress eCommerce</li>
<li>NextGEN Gallery</li>
<li>Polylang</li>
<li>rtMedia for WordPress, BuddyPress and bbPress</li>
<li>The Events Calendar</li>
<li>The SEO Framework</li>
<li>WooCommerce (versions 1, 2, and 3)</li>
<li>WordPress REST API (version 2)</li>
<li>WP eCommerce</li>
<li>Yoast SEO (aka WordPress SEO)</li>
<li>Yotpo Social Reviews for WooCommerce</li>
</ul></li>
<li><strong>WPSSO Pro Integrated Service APIs</strong>

<ul>
<li>Bitly</li>
<li>Facebook Embedded Videos</li>
<li>Google URL Shortener</li>
<li>Gravatar (Author Image)</li>
<li>Ow.ly</li>
<li>Slideshare Presentations</li>
<li>TinyURL</li>
<li>Vimeo Videos</li>
<li>Wistia Videos</li>
<li>Your Own URL Shortener (YOURLS)</li>
<li>YouTube Videos and Playlists</li>
</ul></li>
</ul>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; WPSSO JSON Pro includes additional 3rd party integration modules to extend Schema markup:</p>

<ul>
<li><strong>Integration with 3rd Party Plugins</strong>

<ul>
<li>WP Product Review</li>
<li>WP Recipe Maker</li>
<li>WP Ultimate Recipe</li>
</ul></li>
</ul>

<p><img class="readme-example" src="https://surniaulula.github.io/wpsso-schema-json-ld/images/settings/wpsso-json-social-settings.png"></p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Adds additional custom options to the Social and Search Optimization metabox, displayed or hidden based on the Schema Item Type selected:</p>

<ul>
<li>Schema Item Name (aka Title)</li>
<li>Schema Description</li>
<li>Main Entity of Page</li>
<li>Schema Item Type</li>
<li>Additional Type URLs</li>
<li>Article Publisher</li>
<li>Article Headline</li>
<li>Event Organizer</li>
<li>Event Performer</li>
<li>Event Start (date, time, timezone)</li>
<li>Event End (date, time, timezone)</li>
<li>Event Offers (name, price, currency, availability)</li>
<li>Recipe Preparation Time </li>
<li>Recipe Cooking Time </li>
<li>Recipe Total Time </li>
<li>Recipe Total Calories </li>
<li>Recipe Quantity </li>
<li>Recipe Ingredients </li>
<li>Recipe Instructions </li>
<li>Recipe Nutrition Information per Serving </li>
<li>Serving Size

<ul>
<li>Calories</li>
<li>Protein</li>
<li>Fiber</li>
<li>Carbohydrates</li>
<li>Sugar</li>
<li>Sodium</li>
<li>Fat</li>
<li>Saturated Fat</li>
<li>Unsaturated Fat</li>
<li>Trans Fat</li>
<li>Cholesterol</li>
</ul></li>
<li>(Review) Subject Type </li>
<li>(Review) Subject Name </li>
<li>(Review) Subject Webpage URL </li>
<li>(Review) Subject Image URL </li>
<li>Review Rating </li>
</ul>

<p><img class="readme-example landscape" src="https://surniaulula.github.io/wpsso-schema-json-ld/images/social/google-testing-tool-results-tech-article.png"></p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Adds Schema / Structured Data / SEO JSON-LD markup for:</p>

<ul>
<li>Schema Type <a href="https://schema.org/CreativeWork">schema.org/CreativeWork</a>

<ul>
<li>Schema Type <a href="https://schema.org/Article">schema.org/Article</a>

<ul>
<li>Schema Type <a href="https://schema.org/BlogPosting">schema.org/BlogPosting</a></li>
<li>Schema Type <a href="https://schema.org/NewsArticle">schema.org/NewsArticle</a></li>
<li>Schema Type <a href="https://schema.org/Report">schema.org/Report</a></li>
<li>Schema Type <a href="https://schema.org/ScholarlyArticle">schema.org/ScholarlyArticle</a></li>
<li>Schema Type <a href="https://schema.org/SocialMediaPosting">schema.org/SocialMediaPosting</a></li>
<li>Schema Type <a href="https://schema.org/TechArticle">schema.org/TechArticle</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Blog">schema.org/Blog</a> (includes blogPost property with posts)</li>
<li>Schema Type <a href="https://schema.org/Book">schema.org/Book</a></li>
<li>Schema Type <a href="https://schema.org/Clip">schema.org/Clip</a></li>
<li>Schema Type <a href="https://schema.org/Comment">schema.org/Comment</a></li>
<li>Schema Type <a href="https://schema.org/Conversation">schema.org/Conversation</a></li>
<li>Schema Type <a href="https://schema.org/Course">schema.org/Course</a></li>
<li>Schema Type <a href="https://schema.org/CreativeWorkSeason">schema.org/CreativeWorkSeason</a></li>
<li>Schema Type <a href="https://schema.org/CreativeWorkSeries">schema.org/CreativeWorkSeries</a></li>
<li>Schema Type <a href="https://schema.org/DataCatalog">schema.org/DataCatalog</a></li>
<li>Schema Type <a href="https://schema.org/DataSet">schema.org/DataSet</a></li>
<li>Schema Type <a href="https://schema.org/DigitalDocument">schema.org/DigitalDocument</a></li>
<li>Schema Type <a href="https://schema.org/Episode">schema.org/Episode</a></li>
<li>Schema Type <a href="https://schema.org/Game">schema.org/Game</a></li>
<li>Schema Type <a href="https://schema.org/Map">schema.org/Map</a></li>
<li>Schema Type <a href="https://schema.org/MediaObject">schema.org/MediaObject</a>

<ul>
<li>Schema Type <a href="https://schema.org/AudioObject">schema.org/AudioObject</a></li>
<li>Schema Type <a href="https://schema.org/DataDownload">schema.org/DataDownload</a></li>
<li>Schema Type <a href="https://schema.org/ImageObject">schema.org/ImageObject</a></li>
<li>Schema Type <a href="https://schema.org/MusicVideoObject">schema.org/MusicVideoObject</a></li>
<li>Schema Type <a href="https://schema.org/VideoObject">schema.org/VideoObject</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Menu">schema.org/Menu</a></li>
<li>Schema Type <a href="https://schema.org/MenuSection">schema.org/MenuSection</a></li>
<li>Schema Type <a href="https://schema.org/Message">schema.org/Message</a></li>
<li>Schema Type <a href="https://schema.org/Movie">schema.org/Movie</a></li>
<li>Schema Type <a href="https://schema.org/MusicComposition">schema.org/MusicComposition</a></li>
<li>Schema Type <a href="https://schema.org/MusicPlaylist">schema.org/MusicPlaylist</a></li>
<li>Schema Type <a href="https://schema.org/MusicRecording">schema.org/MusicRecording</a></li>
<li>Schema Type <a href="https://schema.org/Painting">schema.org/Painting</a></li>
<li>Schema Type <a href="https://schema.org/Photograph">schema.org/Photograph</a></li>
<li>Schema Type <a href="https://schema.org/PublicationIssue">schema.org/PublicationIssue</a></li>
<li>Schema Type <a href="https://schema.org/PublicationVolume">schema.org/PublicationVolume</a></li>
<li>Schema Type <a href="https://schema.org/Question">schema.org/Question</a></li>
<li>Schema Type <a href="https://schema.org/Recipe">schema.org/Recipe</a></li>
<li>Schema Type <a href="https://schema.org/Review">schema.org/Review</a>

<ul>
<li>Schema Type <a href="https://schema.org/ClaimReview">schema.org/ClaimReview</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Sculpture">schema.org/Sculpture</a></li>
<li>Schema Type <a href="https://schema.org/Series">schema.org/Series</a></li>
<li>Schema Type <a href="https://schema.org/SoftwareApplication">schema.org/SoftwareApplication</a></li>
<li>Schema Type <a href="https://schema.org/SoftwareSourceCode">schema.org/SoftwareSourceCode</a></li>
<li>Schema Type <a href="https://schema.org/TVSeason">schema.org/TVSeason</a></li>
<li>Schema Type <a href="https://schema.org/TVSeries">schema.org/TVSeries</a></li>
<li>Schema Type <a href="https://schema.org/VisualArtwork">schema.org/VisualArtwork</a></li>
<li>Schema Type <a href="https://schema.org/WebPage">schema.org/WebPage</a>

<ul>
<li>Schema Type <a href="https://schema.org/AboutPage">schema.org/AboutPage</a></li>
<li>Schema Type <a href="https://schema.org/CheckoutPage">schema.org/CheckoutPage</a></li>
<li>Schema Type <a href="https://schema.org/CollectionPage">schema.org/CollectionPage</a> (includes mentions property with posts)</li>
<li>Schema Type <a href="https://schema.org/ContactPage">schema.org/ContactPage</a></li>
<li>Schema Type <a href="https://schema.org/ItemPage">schema.org/ItemPage</a></li>
<li>Schema Type <a href="https://schema.org/ProfilePage">schema.org/ProfilePage</a> (includes mentions property with posts)</li>
<li>Schema Type <a href="https://schema.org/QAPage">schema.org/QAPage</a></li>
<li>Schema Type <a href="https://schema.org/SearchResultsPage">schema.org/SearchResultsPage</a> (includes mentions property with posts)</li>
</ul></li>
<li>Schema Type <a href="https://schema.org/WebPageElement">schema.org/WebPageElement</a></li>
<li>Schema Type <a href="https://schema.org/WebSite">schema.org/WebSite</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Event">schema.org/Event</a>

<ul>
<li>Schema Type <a href="https://schema.org/BusinessEvent">schema.org/BusinessEvent</a></li>
<li>Schema Type <a href="https://schema.org/ChildrensEvent">schema.org/ChildrensEvent</a></li>
<li>Schema Type <a href="https://schema.org/DanceEvent">schema.org/DanceEvent</a></li>
<li>Schema Type <a href="https://schema.org/DeliveryEvent">schema.org/DeliveryEvent</a></li>
<li>Schema Type <a href="https://schema.org/EducationEvent">schema.org/EducationEvent</a></li>
<li>Schema Type <a href="https://schema.org/ExhibitionEvent">schema.org/ExhibitionEvent</a></li>
<li>Schema Type <a href="https://schema.org/Festival">schema.org/Festival</a></li>
<li>Schema Type <a href="https://schema.org/FoodEvent">schema.org/FoodEvent</a></li>
<li>Schema Type <a href="https://schema.org/LiteraryEvent">schema.org/LiteraryEvent</a></li>
<li>Schema Type <a href="https://schema.org/MusicEvent">schema.org/MusicEvent</a></li>
<li>Schema Type <a href="https://schema.org/PublicationEvent">schema.org/PublicationEvent</a></li>
<li>Schema Type <a href="https://schema.org/SaleEvent">schema.org/SaleEvent</a></li>
<li>Schema Type <a href="https://schema.org/ScreeningEvent">schema.org/ScreeningEvent</a></li>
<li>Schema Type <a href="https://schema.org/SocialEvent">schema.org/SocialEvent</a></li>
<li>Schema Type <a href="https://schema.org/SportsEvent">schema.org/SportsEvent</a></li>
<li>Schema Type <a href="https://schema.org/TheaterEvent">schema.org/TheaterEvent</a></li>
<li>Schema Type <a href="https://schema.org/VisualArtsEvent">schema.org/VisualArtsEvent</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Organization">schema.org/Organization</a>

<ul>
<li>Schema Type <a href="https://schema.org/Airline">schema.org/Airline</a></li>
<li>Schema Type <a href="https://schema.org/Corporation">schema.org/Corporation</a></li>
<li>Schema Type <a href="https://schema.org/EducationalOrganization">schema.org/EducationalOrganization</a>

<ul>
<li>Schema Type <a href="https://schema.org/CollegeOrUniversity">schema.org/CollegeOrUniversity</a></li>
<li>Schema Type <a href="https://schema.org/ElementarySchool">schema.org/ElementarySchool</a></li>
<li>Schema Type <a href="https://schema.org/HighSchool">schema.org/HighSchool</a></li>
<li>Schema Type <a href="https://schema.org/MiddleSchool">schema.org/MiddleSchool</a></li>
<li>Schema Type <a href="https://schema.org/Preschool">schema.org/Preschool</a></li>
<li>Schema Type <a href="https://schema.org/School">schema.org/School</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/GovernmentOrganization">schema.org/GovernmentOrganization</a></li>
<li>Schema Type <a href="https://schema.org/MedicalOrganization">schema.org/MedicalOrganization</a>

<ul>
<li>Schema Type <a href="https://schema.org/Pharmacy">schema.org/Pharmacy</a></li>
<li>Schema Type <a href="https://schema.org/Physician">schema.org/Physician</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/NGO">schema.org/NGO</a></li>
<li>Schema Type <a href="https://schema.org/Organization">schema.org/Organization</a></li>
<li>Schema Type <a href="https://schema.org/PerformingGroup">schema.org/PerformingGroup</a>

<ul>
<li>Schema Type <a href="https://schema.org/DanceGroup">schema.org/DanceGroup</a></li>
<li>Schema Type <a href="https://schema.org/MusicGroup">schema.org/MusicGroup</a></li>
<li>Schema Type <a href="https://schema.org/PerformingGroup">schema.org/PerformingGroup</a></li>
<li>Schema Type <a href="https://schema.org/TheaterGroup">schema.org/TheaterGroup</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/SportsOrganization">schema.org/SportsOrganization</a>

<ul>
<li>Schema Type <a href="https://schema.org/SportsTeam">schema.org/SportsTeam</a></li>
</ul></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Person">schema.org/Person</a></li>
<li>Schema Type <a href="https://schema.org/Place">schema.org/Place</a>

<ul>
<li>Schema Type <a href="https://schema.org/Accommodation">schema.org/Accommodation</a>

<ul>
<li>Schema Type <a href="https://schema.org/Apartment">schema.org/Apartment</a></li>
<li>Schema Type <a href="https://schema.org/CampingPitch">schema.org/CampingPitch</a></li>
<li>Schema Type <a href="https://schema.org/House">schema.org/House</a>

<ul>
<li>Schema Type <a href="https://schema.org/SingleFamilyResidence">schema.org/SingleFamilyResidence</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Room">schema.org/Room</a>

<ul>
<li>Schema Type <a href="https://schema.org/HotelRoom">schema.org/HotelRoom</a></li>
<li>Schema Type <a href="https://schema.org/MeetingRoom">schema.org/MeetingRoom</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Suite">schema.org/Room</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/AdministrativeArea">schema.org/AdministrativeArea</a></li>
<li>Schema Type <a href="https://schema.org/CivicStructure">schema.org/CivicStructure</a>

<ul>
<li>Schema Type <a href="https://schema.org/Airport">schema.org/Airport</a></li>
<li>Schema Type <a href="https://schema.org/Aquarium">schema.org/Aquarium</a></li>
<li>Schema Type <a href="https://schema.org/Beach">schema.org/Beach</a></li>
<li>Schema Type <a href="https://schema.org/Bridge">schema.org/Bridge</a></li>
<li>Schema Type <a href="https://schema.org/BusStation">schema.org/BusStation</a></li>
<li>Schema Type <a href="https://schema.org/BusStop">schema.org/BusStop</a></li>
<li>Schema Type <a href="https://schema.org/Cemetary">schema.org/Cemetary</a></li>
<li>Schema Type <a href="https://schema.org/Crematorium">schema.org/Crematorium</a></li>
<li>Schema Type <a href="https://schema.org/EventVenu">schema.org/EventVenu</a></li>
<li>Schema Type <a href="https://schema.org/Park">schema.org/Park</a></li>
<li>Schema Type <a href="https://schema.org/ParkingFacility">schema.org/ParkingFacility</a></li>
<li>Schema Type <a href="https://schema.org/PerformingArtsTheater">schema.org/PerformingArtsTheater</a></li>
<li>Schema Type <a href="https://schema.org/PlaceOfWorship">schema.org/PlaceOfWorship</a></li>
<li>Schema Type <a href="https://schema.org/Playground">schema.org/Playground</a></li>
<li>Schema Type <a href="https://schema.org/RVPark">schema.org/RVPark</a></li>
<li>Schema Type <a href="https://schema.org/SubwayStation">schema.org/SubwayStation</a></li>
<li>Schema Type <a href="https://schema.org/TaxiStand">schema.org/TaxiStand</a></li>
<li>Schema Type <a href="https://schema.org/TrainStation">schema.org/TrainStation</a></li>
<li>Schema Type <a href="https://schema.org/Zoo">schema.org/Zoo</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Landform">schema.org/Landform</a></li>
<li>Schema Type <a href="https://schema.org/LandmarksOrHistoricalBuildings">schema.org/LandmarksOrHistoricalBuildings</a></li>
<li>Schema Type <a href="https://schema.org/LocalBusiness">schema.org/LocalBusiness</a>

<ul>
<li>Schema Type <a href="https://schema.org/AnimalShelter">schema.org/AnimalShelter</a></li>
<li>Schema Type <a href="https://schema.org/AutomotiveBusiness">schema.org/AutomotiveBusiness</a>

<ul>
<li>Schema Type <a href="https://schema.org/AutoBodyShop">schema.org/AutoBodyShop</a></li>
<li>Schema Type <a href="https://schema.org/AutoDealer">schema.org/AutoDealer</a></li>
<li>Schema Type <a href="https://schema.org/AutoPartsStore">schema.org/AutoPartsStore</a></li>
<li>Schema Type <a href="https://schema.org/AutoRental">schema.org/AutoRental</a></li>
<li>Schema Type <a href="https://schema.org/AutoRepair">schema.org/AutoRepair</a></li>
<li>Schema Type <a href="https://schema.org/AutoWash">schema.org/AutoWash</a></li>
<li>Schema Type <a href="https://schema.org/GasStation">schema.org/GasStation</a></li>
<li>Schema Type <a href="https://schema.org/MotorcycleDealer">schema.org/MotorcycleDealer</a></li>
<li>Schema Type <a href="https://schema.org/MotorcycleRepair">schema.org/MotorcycleRepair</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/ChildCare">schema.org/ChildCare</a></li>
<li>Schema Type <a href="https://schema.org/Dentist">schema.org/Dentist</a></li>
<li>Schema Type <a href="https://schema.org/DryCleaningOrLaundry">schema.org/DryCleaningOrLaundry</a></li>
<li>Schema Type <a href="https://schema.org/EmergencyService">schema.org/EmergencyService</a>

<ul>
<li>Schema Type <a href="https://schema.org/FireStation">schema.org/FireStation</a></li>
<li>Schema Type <a href="https://schema.org/Hospital">schema.org/Hospital</a></li>
<li>Schema Type <a href="https://schema.org/PoliceStation">schema.org/PoliceStation</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/EmploymentAgency">schema.org/EmploymentAgency</a></li>
<li>Schema Type <a href="https://schema.org/EntertainmentBusiness">schema.org/EntertainmentBusiness</a>

<ul>
<li>Schema Type <a href="https://schema.org/AdultEntertainment">schema.org/AdultEntertainment</a></li>
<li>Schema Type <a href="https://schema.org/AmusementPark">schema.org/AmusementPark</a></li>
<li>Schema Type <a href="https://schema.org/ArtGallery">schema.org/ArtGallery</a></li>
<li>Schema Type <a href="https://schema.org/Casino">schema.org/Casino</a></li>
<li>Schema Type <a href="https://schema.org/ComedyClub">schema.org/ComedyClub</a></li>
<li>Schema Type <a href="https://schema.org/MovieTheatre">schema.org/MovieTheatre</a></li>
<li>Schema Type <a href="https://schema.org/NightClub">schema.org/NightClub</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/FinancialService">schema.org/FinancialService</a></li>
<li>Schema Type <a href="https://schema.org/FoodEstablishment">schema.org/FoodEstablishment</a>

<ul>
<li>Schema Type <a href="https://schema.org/Bakery">schema.org/Bakery</a></li>
<li>Schema Type <a href="https://schema.org/BarOrPub">schema.org/BarOrPub</a></li>
<li>Schema Type <a href="https://schema.org/Brewery">schema.org/Brewery</a></li>
<li>Schema Type <a href="https://schema.org/CafeOrCoffeeShop">schema.org/CafeOrCoffeeShop</a></li>
<li>Schema Type <a href="https://schema.org/FastFoodRestaurant">schema.org/FastFoodRestaurant</a></li>
<li>Schema Type <a href="https://schema.org/IceCreamShop">schema.org/IceCreamShop</a></li>
<li>Schema Type <a href="https://schema.org/Restaurant">schema.org/Restaurant</a></li>
<li>Schema Type <a href="https://schema.org/Winery">schema.org/Winery</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/GovernmentOffice">schema.org/GovernmentOffice</a></li>
<li>Schema Type <a href="https://schema.org/HealthAndBeautyBusiness">schema.org/HealthAndBeautyBusiness</a></li>
<li>Schema Type <a href="https://schema.org/HomeAndConstructionBusiness">schema.org/HomeAndConstructionBusiness</a>

<ul>
<li>Schema Type <a href="https://schema.org/Electrician">schema.org/Electrician</a></li>
<li>Schema Type <a href="https://schema.org/GeneralContractor">schema.org/GeneralContractor</a></li>
<li>Schema Type <a href="https://schema.org/HVACBusiness">schema.org/HVACBusiness</a></li>
<li>Schema Type <a href="https://schema.org/HousePainter">schema.org/HousePainter</a></li>
<li>Schema Type <a href="https://schema.org/Locksmith">schema.org/Locksmith</a></li>
<li>Schema Type <a href="https://schema.org/MovingCompany">schema.org/MovingCompany</a></li>
<li>Schema Type <a href="https://schema.org/Plumber">schema.org/Plumber</a></li>
<li>Schema Type <a href="https://schema.org/RoofingContractor">schema.org/RoofingContractor</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/InternetCafe">schema.org/InternetCafe</a></li>
<li>Schema Type <a href="https://schema.org/LegalService">schema.org/LegalService</a></li>
<li>Schema Type <a href="https://schema.org/Library">schema.org/Library</a></li>
<li>Schema Type <a href="https://schema.org/LodgingBusiness">schema.org/LodgingBusiness</a>

<ul>
<li>Schema Type <a href="https://schema.org/Campground">schema.org/Campground</a></li>
</ul></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/MedicalBusiness">health-lifesci.schema.org/MedicalBusiness</a>

<ul>
<li>Schema Type <a href="https://health-lifesci.schema.org/CommunityHealth">health-lifesci.schema.org/CommunityHealth</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Dentist">health-lifesci.schema.org/Dentist</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Dermatology">health-lifesci.schema.org/Dermatology</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/DietNutrition">health-lifesci.schema.org/DietNutrition</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Emergency">health-lifesci.schema.org/Emergency</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Geriatric">health-lifesci.schema.org/Geriatric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Gynecologic">health-lifesci.schema.org/Gynecologic</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/MedicalClinic">health-lifesci.schema.org/MedicalClinic</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Midwifery">health-lifesci.schema.org/Midwifery</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Nursing">health-lifesci.schema.org/Nursing</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Obstetric">health-lifesci.schema.org/Obstetric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Oncologic">health-lifesci.schema.org/Oncologic</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Optician">health-lifesci.schema.org/Optician</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Optometric">health-lifesci.schema.org/Optometric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Otolaryngologic">health-lifesci.schema.org/Otolaryngologic</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Pediatric">health-lifesci.schema.org/Pediatric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Pharmacy">health-lifesci.schema.org/Pharmacy</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Physician">health-lifesci.schema.org/Physician</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Physiotherapy">health-lifesci.schema.org/Physiotherapy</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/PlasticSurgery">health-lifesci.schema.org/PlasticSurgery</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Podiatric">health-lifesci.schema.org/Podiatric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/PrimaryCare">health-lifesci.schema.org/PrimaryCare</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/Psychiatric">health-lifesci.schema.org/Psychiatric</a></li>
<li>Schema Type <a href="https://health-lifesci.schema.org/PublicHealth">health-lifesci.schema.org/PublicHealth</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/ProfessionalService">schema.org/ProfessionalService</a></li>
<li>Schema Type <a href="https://schema.org/RadioStation">schema.org/RadioStation</a></li>
<li>Schema Type <a href="https://schema.org/RealEstateAgent">schema.org/RealEstateAgent</a></li>
<li>Schema Type <a href="https://schema.org/RecyclingCenter">schema.org/RecyclingCenter</a></li>
<li>Schema Type <a href="https://schema.org/SelfStorage">schema.org/SelfStorage</a></li>
<li>Schema Type <a href="https://schema.org/ShoppingCenter">schema.org/ShoppingCenter</a></li>
<li>Schema Type <a href="https://schema.org/SportsActivityLocation">schema.org/SportsActivityLocation</a>

<ul>
<li>Schema Type <a href="https://schema.org/StadiumOrArena">schema.org/StadiumOrArena</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Store">schema.org/Store</a>

<ul>
<li>Schema Type <a href="https://schema.org/AutoPartsStore">schema.org/AutoPartsStore</a></li>
<li>Schema Type <a href="https://schema.org/BikeStore">schema.org/BikeStore</a></li>
<li>Schema Type <a href="https://schema.org/BookStore">schema.org/BookStore</a></li>
<li>Schema Type <a href="https://schema.org/ClothingStore">schema.org/ClothingStore</a></li>
<li>Schema Type <a href="https://schema.org/ComputerStore">schema.org/ComputerStore</a></li>
<li>Schema Type <a href="https://schema.org/ConvenienceStore">schema.org/ConvenienceStore</a></li>
<li>Schema Type <a href="https://schema.org/DepartmentStore">schema.org/DepartmentStore</a></li>
<li>Schema Type <a href="https://schema.org/ElectronicsStore">schema.org/ElectronicsStore</a></li>
<li>Schema Type <a href="https://schema.org/Florist">schema.org/Florist</a></li>
<li>Schema Type <a href="https://schema.org/FurnitureStore">schema.org/FurnitureStore</a></li>
<li>Schema Type <a href="https://schema.org/GardenStore">schema.org/GardenStore</a></li>
<li>Schema Type <a href="https://schema.org/GroceryStore">schema.org/GroceryStore</a></li>
<li>Schema Type <a href="https://schema.org/HardwareStore">schema.org/HardwareStore</a></li>
<li>Schema Type <a href="https://schema.org/HobbyShop">schema.org/HobbyShop</a></li>
<li>Schema Type <a href="https://schema.org/HomeGoodsStore">schema.org/HomeGoodsStore</a></li>
<li>Schema Type <a href="https://schema.org/JewelryStore">schema.org/JewelryStore</a></li>
<li>Schema Type <a href="https://schema.org/LiquorStore">schema.org/LiquorStore</a></li>
<li>Schema Type <a href="https://schema.org/MensClothingStore">schema.org/MensClothingStore</a></li>
<li>Schema Type <a href="https://schema.org/MobilePhoneStore">schema.org/MobilePhoneStore</a></li>
<li>Schema Type <a href="https://schema.org/MovieRentalStore">schema.org/MovieRentalStore</a></li>
<li>Schema Type <a href="https://schema.org/MusicStore">schema.org/MusicStore</a></li>
<li>Schema Type <a href="https://schema.org/OfficeEquipmentStore">schema.org/OfficeEquipmentStore</a></li>
<li>Schema Type <a href="https://schema.org/OutletStore">schema.org/OutletStore</a></li>
<li>Schema Type <a href="https://schema.org/PawnShop">schema.org/PawnShop</a></li>
<li>Schema Type <a href="https://schema.org/PetStore">schema.org/PetStore</a></li>
<li>Schema Type <a href="https://schema.org/ShoeStore">schema.org/ShoeStore</a></li>
<li>Schema Type <a href="https://schema.org/SportingGoodsStore">schema.org/SportingGoodsStore</a></li>
<li>Schema Type <a href="https://schema.org/TireShop">schema.org/TireShop</a></li>
<li>Schema Type <a href="https://schema.org/ToyStore">schema.org/ToyStore</a></li>
<li>Schema Type <a href="https://schema.org/WholesaleStore">schema.org/WholesaleStore</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/TelevisionStation">schema.org/TelevisionStation</a></li>
<li>Schema Type <a href="https://schema.org/TouristInformationCenter">schema.org/TouristInformationCenter</a></li>
<li>Schema Type <a href="https://schema.org/TravelAgency">schema.org/TravelAgency</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Residence">schema.org/Residence</a>

<ul>
<li>Schema Type <a href="https://schema.org/ApartmentComplex">schema.org/ApartmentComplex</a></li>
<li>Schema Type <a href="https://schema.org/GatedResidenceCommunity">schema.org/GatedResidenceCommunity</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/TouristAttraction">schema.org/TouristAttraction</a></li>
</ul></li>
<li>Schema Type <a href="https://schema.org/Product">schema.org/Product</a> (supported e-Commerce plugin required)

<ul>
<li>Schema Type <a href="https://schema.org/IndividualProduct">schema.org/IndividualProduct</a></li>
<li>Schema Type <a href="https://schema.org/ProductModel">schema.org/ProductModel</a></li>
<li>Schema Type <a href="https://schema.org/SomeProducts">schema.org/SomeProducts</a></li>
<li>Schema Type <a href="https://auto.schema.org/Vehicle">auto.schema.org/Vehicle</a>

<ul>
<li>Schema Type <a href="https://auto.schema.org/BusOrCoach">auto.schema.org/BusOrCoach</a></li>
<li>Schema Type <a href="https://auto.schema.org/Car">auto.schema.org/Car</a></li>
<li>Schema Type <a href="https://auto.schema.org/Motorcycle">auto.schema.org/Motorcycle</a></li>
<li>Schema Type <a href="https://auto.schema.org/MotorizedBicycle">auto.schema.org/MotorizedBicycle</a></li>
</ul></li>
</ul></li>
</ul>

<h3>Markup Examples</h3>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; <a href="http://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/markup-examples/markup-example-for-a-restaurant/">Markup Example for a Restaurant</a> using the WPSSO PLM extension to manage the Place / Location information (address, geo coordinates, business hours – daily and seasonal, restaurant menu URL, and accepts reservation values).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; <a href="http://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/markup-examples/markup-example-for-a-tech-article/">Markup Example for a Tech Article</a> published on surniaulula.com.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; <a href="http://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/markup-examples/markup-example-for-a-woocommerce-product/">Markup Example for a WooCommerce Product</a>, including its name, description, images, videos, sku, price, condition, availability, ratings, colors, category, width, height, weight, all product variations, and much more.</p>

<h3>Extends the WPSSO Plugin</h3>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; The WPSSO JSON Free extension works with either the Free or Pro version of WPSSO (Core Plugin).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; The <a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/?utm_source=wpssojson-readme-extends">WPSSO JSON Pro extension</a> uses many WPSSO Pro (Core Plugin) features and requires the <a href="https://wpsso.com/extend/plugins/wpsso/?utm_source=wpssojson-readme-extends">WPSSO Pro (Core Plugin)</a>.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; <a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/?utm_source=wpssojson-readme-purchase">Purchase the WPSSO Schema JSON-LD Markup Pro extension here</a> (all purchases include a <em>No Risk 30 Day Refund Policy</em>).</p>


<h2>Installation</h2>

<h3>Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/installation/install-the-plugin/">Install the WPSSO JSON Plugin (Free and Pro version)</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/installation/uninstall-the-plugin/">Uninstall the WPSSO JSON Plugin</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3>Frequently Asked Questions</h3>

<ul>
<li>None</li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h3>Additional Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/examples/assign-a-custom-field-value-to-a-schema-property/">Assign a Custom Field Value to a Schema Property</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/examples/modify-the-aggregaterating-property/">Modify the aggregateRating Property</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/examples/modify-the-videoobject-name-and-description/">Modify the VideoObject Name and Description</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/by-name/">Filters by Name</a></li>
</ul></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/schema-shortcode/">Schema Shortcode for Custom Markup</a></li>
</ul>

